%define upstream_name    MooX-StrictConstructor
%define upstream_version 0.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A role to make Moo constructors strict
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moo) >= 1.1.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(strictures) >= 1.0.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Simply loading this module makes your constructors "strict". If your
constructor is called with an attribute init argument that your class does
not declare, then it dies. This is a great way to catch small typos.

STANDING ON THE SHOULDERS OF ...
    Most of this package was lifted from the MooX::InsideOut manpage and
    most of the Role that implements the strictness was lifted from the
    MooseX::StrictConstructor manpage.

SUBVERTING STRICTNESS
    the MooseX::StrictConstructor manpage documents two tricks for
    subverting strictness and avoid having problematic arguments cause an
    exception: handling them in BUILD or handle them in BUILDARGS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.11.0-2.mga9
+ Revision: 1819683
- Mageia 9 Mass Rebuild

* Thu Mar 12 2020 tv <tv> 0.11.0-1.mga8
+ Revision: 1555684
- update to 0.011

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-3.mga8
+ Revision: 1505313
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-2.mga7
+ Revision: 1285017
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 0.10.0-1.mga7
+ Revision: 1216848
- Update to version 0.010

* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-3.mga6
+ Revision: 1030726
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 966295
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.8.0-1.mga6
+ Revision: 843293
- update to 0.008

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 743044
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-2.mga5
+ Revision: 685503
- Mageia 5 Mass Rebuild

* Fri Mar 28 2014 shlomif <shlomif> 0.6.0-1.mga5
+ Revision: 609076
- Add BRs
- imported package perl-MooX-StrictConstructor


* Fri Mar 28 2014 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
